summaryrefslogtreecommitdiffstats
path: root/qa/workunits/suites/wac.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qa/workunits/suites/wac.sh')
-rwxr-xr-xqa/workunits/suites/wac.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/qa/workunits/suites/wac.sh b/qa/workunits/suites/wac.sh
new file mode 100755
index 00000000..a6114885
--- /dev/null
+++ b/qa/workunits/suites/wac.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -ex
+
+wget http://download.ceph.com/qa/wac.c
+gcc -o wac wac.c
+set +e
+timeout 5m ./wac -l 65536 -n 64 -r wac-test
+RET=$?
+set -e
+[[ $RET -eq 124 ]]
+echo OK